package com.yanzhu.jh.project.mapper;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProjectPlan;

/**
 * 项目跟进计划Mapper接口
 * 
 * @author ruoyi
 * @date 2023-09-08
 */
public interface SurProjectPlanMapper 
{
    /**
     * 查询项目跟进计划
     * 
     * @param id 项目跟进计划主键
     * @return 项目跟进计划
     */
    public SurProjectPlan selectSurProjectPlanById(Long id);

    /**
     * 查询项目跟进计划列表
     * 
     * @param surProjectPlan 项目跟进计划
     * @return 项目跟进计划集合
     */
    public List<SurProjectPlan> selectSurProjectPlanList(SurProjectPlan surProjectPlan);

    /**
     * 新增项目跟进计划
     * 
     * @param surProjectPlan 项目跟进计划
     * @return 结果
     */
    public int insertSurProjectPlan(SurProjectPlan surProjectPlan);

    /**
     * 修改项目跟进计划
     * 
     * @param surProjectPlan 项目跟进计划
     * @return 结果
     */
    public int updateSurProjectPlan(SurProjectPlan surProjectPlan);

    /**
     * 删除项目跟进计划
     * 
     * @param id 项目跟进计划主键
     * @return 结果
     */
    public int deleteSurProjectPlanById(Long id);

    /**
     * 批量删除项目跟进计划
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectPlanByIds(Long[] ids);

    public List<SurProjectPlan> selectSurProjectPlanListTop3();
}
